
var g=new Array();
g[0]=new Array("1314520","一生一世我爱你");
g[1]=new Array("259695","爱我就了解我");
g[2]=new Array("74839","其实不想走");
g[3]=new Array("829575","被爱就是幸福");
g[4]=new Array("20863","爱你到来生");
g[5]=new Array("594320","我就是想爱你");
g[6]=new Array("51020","我依然爱你");
g[7]=new Array("520","我爱你");
g[8]=new Array("1314920","一生一世就爱你");
g[9]=new Array("584520","我发誓我爱你");
g[10]=new Array("04551","你是我唯一");
g[11]=new Array("77543","猜猜我是谁");
g[12]=new Array("2010000","爱你一万年");
g[13]=new Array("3344520","生生世世我爱你");
function te(){
alert('test123');}
function SetMobileStyle(style){
if(style==2){
SetMobileStyle2();}
else{
SetMobileStyle1();}}
function SetMobileStyle1(){
var objDiv=document.getElementById('TBmobileData');
var myData=objDiv.innerHTML;
var re=GetMobileArray(myData);
if(re!=null){
for(var i=0;i<re.length;i++){
var oldvalue=re[i];
var newvalue=re[i];
if(oldvalue==newvalue) newvalue=newvalue.replace(/(\d)(\1{3,})/ig,"<span style='color:#FF6600;'>$1$2</span>");
if(oldvalue==newvalue) newvalue=newvalue.replace(/(01234567|12345678|23456789|98765432|87654321|76543210|0123456|1234567|2345678|3456789|9876543|8765432|7654321|6543210|012345|123456|234567|345678|456789|987654|876543|765432|654321|543210|01234|12345|23456|34567|45678|56789|98765|87654|76543|65432|54321|43210|0123|1234|2345|3456|4567|5678|6789|9876|8765|7654|6543|5432|4321|3210)/ig,"<font color=red>$1</font>");
if(oldvalue==newvalue) newvalue=newvalue.replace(/(\d)(\1{2,})/ig,"<span style='color:#FF6600;'>$1$2</span>");
if(oldvalue==newvalue) newvalue=newvalue.replace(/(\d)([^\1])(\1)(\2)(\1)(\2)/ig,"<font color=red>$1</font><font color=blue>$2</font><font color=red>$3</font><font color=blue>$4</font><font color=red>$5</font><font color=blue>$6</font>");
if(oldvalue==newvalue) newvalue=newvalue.replace(/(\d)([^\1])(\1)(\2)(\1)/ig,"<font color=red>$1</font><font color=blue>$2</font><font color=red>$3</font><font color=blue>$4</font><font color=red>$5</font>");
if(oldvalue==newvalue) newvalue=newvalue.replace(/(\d)([^\1])(\1)(\2)/ig,"<font color=red>$1</font><font color=blue>$2</font><font color=red>$3</font><font color=blue>$4</font>");
if(oldvalue==newvalue) newvalue=newvalue.replace(/(\d)(\1)([^\1])(\3)([^\3])(\5)/ig,"<font color=red>$1$2</font><font color=blue>$3$4</font><font color=green>$5$6</font>");
if(oldvalue==newvalue) newvalue=newvalue.replace(/(\d)(\1)([^\1])(\3)/ig,"<font color=red>$1$2</font><font color=blue>$3$4</font>");
myData=myData.replace(oldvalue,newvalue);}
objDiv.innerHTML=myData;}
else{}}
function GetMobileArray(strInput){
var reg=new RegExp(/1[3|5|8]\d{9}/ig);
var r=strInput.match(reg);
return(r);}
function SetMobileStyle2(){
var objDiv=document.getElementById('TBmobileData');
var myData=objDiv.innerHTML;
var re=GetMobileArray(myData);
if(re!=null){
for(var i=0;i<re.length;i++){
var oldvalue=re[i];
var newvalue=re[i];
newvalue=newvalue.replace(/^(\d{3})(\d{4})(\d{4})$/ig,"$1<font color=red>$2</font><font color=blue>$3</font>");
myData=myData.replace(oldvalue,newvalue);}
objDiv.innerHTML=myData;}
else{}}
